Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 04 Dec 2019 13:16:41 -0800

On 12/04/19 22:02 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> Yes, that's what I meant. Every invocation of `gnus' first unloads
>> everything and then reloads it, and the registry is likewise unloaded
>> and reloaded. That seemed like TRT to me.
>
> Ok by me - I only wanted to be sure that what I see is intended.

It is! Pace bugs I may have introduced, I feel like this is the right
approach.

The only integration that's lacking is auto save (which doesn't work
well with eieio-persistent). If you quit Gnus without saving, your
intermediate state goes into the dribble file, and you can choose to
load that again later. But the registry doesn't work with the dribble
file (it would be a medium amount of work to make that happen) so you'd
lose any edits to the registry made since the last save.